package com.sky.config;
import com.sky.properties.FileBrowserProperties;
import com.sky.utils.FileBrowserUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
@Slf4j
public class FileBrowserConfiguration {
    @Bean
    @ConditionalOnMissingBean
    public FileBrowserUtil fileBrowserUtil(FileBrowserProperties fileBrowserProperties){
        log.info("开始创建filebrowser上传工具类对象：{}",fileBrowserProperties);
        return new FileBrowserUtil(fileBrowserProperties.getDomain(),
                fileBrowserProperties.getUsername(),
                fileBrowserProperties.getPassword());
    }
}
